RSGP - Support #2537

[Mobile-API] ESS Attendance - Validasi untuk clock in/out lintas hari

01/30/2024 11:16 AM - Johanes Christian Kurni

Status: Closed

Priority: Immediate

Assignee: Johanes Christian Kurni
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

01/30/2024

0%
0.00 hour
11.00 hours

Description

Dear
Azid,

Mohon bantuannya untuk membuat validasi membaca apakah sudah ada clock out untuk attendance type yg sama pd satu hari
sebelumnya ( jika belum ada maka akan menjadi data clock out di tanggal 1 hari sebelumnya).

Skenario 1 (Lupa clock OUT)

Jika karyawan lupa clock OUT dan besoknya dia langsung clock IN maka karyawan tidak punya data clock OUT.

Skenario 2 (Clock OUT beda hari)

jika karyawan lembur atau shif malam yang dimana dia clock OUT besok maka data clock OUT yang masuk untuk tgl kemarin dia

clock IN dengan attendance type yang sama.

Server: remote.minovais.com,1442
DB: MinovaES_RSGP_Dev

Terima Kasih.

History

#1 - 01/30/2024 11:16 AM - Johanes Christian Kurni

- Priority changed from High to Immediate

#2 - 01/30/2024 11:19 AM - Johanes Christian Kurni

- Status changed from New to Assigned

#3 - 02/06/2024 10:09 AM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni
dear jo , udah bisa di test ya

makasih

#4 - 02/07/2024 11:08 AM - Johanes Christian Kurni

- Status changed from QA Test to Revise

- Assignee changed from Johanes Christian Kurni to M Azid Wahyudi
Azid,

1. clockin dengan attendance type yang sama tapi beda hari belum bisa
2. clockOut dengan attendance type yang sama tapi beda hari belum bisa

#5 - 02/07/2024 03:35 PM - M Azid Wahyudi
- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

dear jo , coba test lagi ya

makasih

07/02/2025
#6 - 02/07/2024 04:22 PM - Johanes Christian Kurni

- Status changed from Revise to QA Test

Skenario:

1. ClockIN dihari yang sama dengan attendance type yang berbeda - DONE

2. ClockOUT dihari yang sama dengan attendance type yang berbeda - DONE
3. ClockOUT lintas hari dengan attendance type yang sama (Shift) - DONE

#7 - 02/07/2024 04:30 PM - Johanes Christian Kurni
- Status changed from QA Test to Closed

07/02/2025
